Subject: Re: [ANNOUNCE] GIT 1.5.3-rc4

From: Bruce Korb <[email-masked]>
Date: Sun, 05 Aug 2007 14:43:09 -0700

Linus Torvalds wrote:
>> Yes, name-calling and ad hominem attacks again.
> 
> No. Emacs _is_ odd. It's not even installed by default on most modern 
> Linux distributions.

Hi Linus,

Thus disparaging distributions that do install it.  I've not had
to pull any extra packages to get it so far, but I only update
every few years.  I've been a happy emacs user for 24 years.

> There's no name-calling there. That's just a solid fact.

The name calling is unseemly on all sides.

>> Please try to remember that Texinfo is a _source_ format, and it
>> produces reasonably hyperrefed and coherent PDF and HTML documents as
>> well as plain ASCII.  That it is also able to produce working info
>> files should not bother you.
> 
> You do not even know what you are talking about.
> 
> AsciiDoc is *also* a source format. But the source format is already 
> readable IN ITSELF. Which is the whole point!

Readable, just not writable.  It's markup language is a bunch
of special characters that require familiarity to understand.
Sure, you can peruse the text just fine, but why should this
sort of thing:

   = My Doc Title =

be preferred to:

    @settitle My Doc Title

@chapter, @section, @subsection really make a lot more sense to me
than this sort of cruft (my disparaging term):
Level 0 (top level):     ======================
Level 1:                 ----------------------
Level 2:                 ~~~~~~~~~~~~~~~~~~~~~~
Level 3:                 ^^^^^^^^^^^^^^^^^^^^^^
Level 4 (bottom level):  ++++++++++++++++++++++

It really boils down to preferences and familiarity and should
not degenerate into nasty name calling.

> Headers? Lists? They look like headers and lists in the .txt files. No 
> need to think about it as a reader. 

So do well-formatted .texi docs.  I don't really like anything
other than WYSIWYG, but that doesn't lend it self to reformatting
into man pages et al.

> See? Texinfo is decidedly inferior. But you don't have to take it so 
> personally. So is pretty much anything else. Anything XML/SGML is even 
> *worse*.

Bah!  They all have their drawbacks and preferences are going to weight
drawbacks differently.

So let's all dislike all our choices, eh?  Cheers - Bruce